Get Customer Overview
curl --request GET \
--url https://api.bunny.net/partner/customer/{customerUserId} \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/partner/customer/{customerUserId}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/partner/customer/{customerUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"MonthlyBandwidthUsedBytes": 123,
"MonthlyRequestCount": 123,
"TotalStorageUsedBytes": 123,
"MonthlyCostUsd": 123,
"ContractValue": 123,
"ContractCurrency": 0,
"BandwidthUsedChart": {},
"Products": [
{
"ProductId": 1,
"IsEnabled": true,
"ResourceCount": 123
}
]
}Customers
Get Customer Overview
Get an overview of a customer: monthly usage snapshot, bandwidth trend, contract, and product summaries.
GET
/
partner
/
customer
/
{customerUserId}
Get Customer Overview
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
Response
Overview payload.
Bandwidth served to the customer in the current month
Total pull-zone requests served to the customer in the current month
Storage currently used across all of the customer's storage zones
Accrued cost for the current calendar month
Contract value agreed with the partner.
Currency of the contract value.
0 = US Dollar 1 = Euro
Available options:
0, 1 Daily bandwidth used over the last 7 days
Show child attributes
Show child attributes
Enable/disable state and resource count for each product the customer can use
Show child attributes
Show child attributes
Last modified on September 21, 2026